TPM_MODULE(1)

NAME
tpm_module - interact with the TPM

SYNOPSIS
tpm_module [-m <mode>] [-options]

DESCRIPTION
Provide various modes for interacting with the TPM.

MODES
1 Take Ownership of TPM
2 Change Owner Authorization Data
3 Clear Ownership (Disables TPM)
4 Create EK
5 Change SRK Authorization Data
6 Collate Identity Request (Create Identity Key)
7 Activate Identity (Create Identity Key Certificate)
8 Quote
9 Quote 2
10 Seal Data (Encrypt Data to Current Platform State)
11 Seal 2 (Seal Against Future PCRs)
12 Unseal Data
13 Generate Random Bytes
14 Create Signing, Binding, or Storage Key
15 Change Key Authorization Data
16 Get Keyblob
17 Get Key Modulus
18 Clear Key
19 Get PCR
20 Extend PCR (Update PCR Value)
21 Clear PCR
22 Set NVRAM Data
23 Get NVRAM Data
24 Clear NVRAM Data
25 Sign Data
26 Verify Signed Data
27 Bind
28 Unbind
29 Get Public Key

OPTIONS
-h, --help

    display help, use with -m to see help/options for individual modes

-v, --version

    display software version info

-d, --debug

    enable console debugging

-f, --file

    write debugging info to file

-z, --zeros

    fill in authdata with zeroes

-r, --readable

    make output human-readable with delimiters

-nr, --nonce_random

    populate nonce with TPM's random byte generator

EXAMPLES
Take ownership of TPM using a specific nonce and zeroes for auth data:

    tpm_module -m 1 -n 0123456789012345678901234567890123456789 -z

Get help with collate identity request mode:

    tpm_module -m 6 -h

Generate a quote2 using the first 16 PCRs, random nonce, identity key with simple UUID, and omitted SRK auth as zeroes:

    tpm_module -m 9 -p ffff00 -nr -u 00000000-0000-0000-0000-040000000001 -authp_ik password -z

SEE ALSO
hirs-provisioner(1)